classification
Title: mmap.error should be a subclass of EnvironmentError and not a direct EnvironmentError
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Chipaca, christian.heimes, facundobatista, therve
Priority: normal Keywords: easy, patch

Created on 2008-02-14 14:57 by therve, last changed 2008-02-17 19:06 by facundobatista. This issue is now closed.

Files
File name Uploaded Description Edit
mmap2.diff therve, 2008-02-14 14:57
mmap3.diff Chipaca, 2008-02-17 14:05 same as mmap2 but with NEWS entry
Messages (4)
msg62391 - (view) Author: Thomas Herve (therve) * Date: 2008-02-14 14:57
mmap.error in mmapmodule is a direct reference to
PyExc_EnvironmentError, whereas it should be a subclass. It makes it
provide a specific string representation, and allows to be more specific
when catching exceptions.

The attached patch tries to provide that.
msg62425 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-02-15 08:22
Sounds fine with me
msg62491 - (view) Author: John Rowland Lenton (Chipaca) * Date: 2008-02-17 14:05
Ran the regression test with this patch, all ok (on Ubuntu Gutsy).
Attached diff is the same, with the addition of the NEWS entry.
msg62500 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-02-17 19:06
Fixed in r60878. Thanks everybody!
History
Date User Action Args
2008-02-17 19:06:19facundobatistasetstatus: open -> closed
resolution: fixed
messages: + msg62500
nosy: + facundobatista
2008-02-17 14:05:47Chipacasetfiles: + mmap3.diff
nosy: + Chipaca
messages: + msg62491
2008-02-15 08:22:37christian.heimessetpriority: normal
keywords: + patch, easy
messages: + msg62425
nosy: + christian.heimes
2008-02-14 14:57:50thervecreate